From 6380cc63f79abe8b8404c9be5ed5f213a70c8c6a Mon Sep 17 00:00:00 2001
From: Hongxu Jia <hongxu.jia@windriver.com>
Date: Tue, 17 Jul 2018 10:13:38 +0800
Subject: [PATCH] conditionally do not fetch code by easy_install

If var-NO_FETCH_BUILD is set, do not allow to fetch code from
internet by easy_install.

Upstream-Status: Inappropriate [oe specific]

Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>

---
 setuptools/command/easy_install.py | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/setuptools/command/easy_install.py b/setuptools/command/easy_install.py
index eeb21b5..eca1edd 100644
--- a/setuptools/command/easy_install.py
+++ b/setuptools/command/easy_install.py
@@ -636,6 +636,11 @@ class easy_install(Command):
             os.path.exists(tmpdir) and rmtree(tmpdir)
 
     def easy_install(self, spec, deps=False):
+        if os.environ.get('NO_FETCH_BUILD', None):
+            log.error("ERROR: Do not try to fetch `%s' for building. "
+                      "Please add its native recipe to DEPENDS." % spec)
+            return None
+
         with self._tmpdir() as tmpdir:
             if not isinstance(spec, Requirement):
                 if URL_SCHEME(spec):
